Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Cherokee: dev

Issue 1041 in cherokee: Providing PEM certificates shouldn't be mandatory for virtual servers not using HTTPS

 

 

Cherokee dev RSS feed   Index | Next | Previous | View Threaded


cherokee at googlecode

Nov 4, 2010, 3:39 AM

Post #1 of 4 (759 views)
Permalink
Issue 1041 in cherokee: Providing PEM certificates shouldn't be mandatory for virtual servers not using HTTPS

Status: New
Owner: alobbs
Labels: Type-Defect Priority-Medium OpSys-All Usability

New issue 1041 by tahers: Providing PEM certificates shouldn't be mandatory
for virtual servers not using HTTPS
http://code.google.com/p/cherokee/issues/detail?id=1041

What steps will reproduce the problem?
1. Enable HTTPS
2. Leave at least one other virtual server with an empty security section.

What is the expected output? What do you see instead?

The server should be able to at least serve HTTP requests for virtual
servers that are not meant to serve HTTPS requests.

It is currently possible to specify the first rule of a virtual server to
allow/deny HTTPS functionaliy, but Cherokee won't boot up without the
required certificate section on every virtual-server.



_______________________________________________
Cherokee-dev mailing list
Cherokee-dev [at] lists
http://lists.octality.com/listinfo/cherokee-dev


cherokee at googlecode

Nov 8, 2010, 3:30 PM

Post #2 of 4 (698 views)
Permalink
Re: Issue 1041 in cherokee: Providing PEM certificates shouldn't be mandatory for virtual servers not using HTTPS [In reply to]

Comment #1 on issue 1041 by skarcha: Providing PEM certificates shouldn't
be mandatory for virtual servers not using HTTPS
http://code.google.com/p/cherokee/issues/detail?id=1041

I think I don't get it... I have defined 13 vservers, and only 3 of them
are configured to use SSL.

Works as expected here... :-?

_______________________________________________
Cherokee-dev mailing list
Cherokee-dev [at] lists
http://lists.octality.com/listinfo/cherokee-dev


cherokee at googlecode

Mar 17, 2011, 8:30 AM

Post #3 of 4 (616 views)
Permalink
Re: Issue 1041 in cherokee: Providing PEM certificates shouldn't be mandatory for virtual servers not using HTTPS [In reply to]

Comment #2 on issue 1041 by tah...@gmail.com: Providing PEM certificates
shouldn't be mandatory for virtual servers not using HTTPS
http://code.google.com/p/cherokee/issues/detail?id=1041

I can confirm the behavior notified by skarcha using 1.2.2b

_______________________________________________
Cherokee-dev mailing list
Cherokee-dev [at] lists
http://lists.octality.com/listinfo/cherokee-dev


cherokee at googlecode

Aug 6, 2012, 6:12 PM

Post #4 of 4 (454 views)
Permalink
Re: Issue 1041 in cherokee: Providing PEM certificates shouldn't be mandatory for virtual servers not using HTTPS [In reply to]

Updates:
Status: Verified

Comment #3 on issue 1041 by ste...@konink.de: Providing PEM certificates
shouldn't be mandatory for virtual servers not using HTTPS
http://code.google.com/p/cherokee/issues/detail?id=1041

I guess this bug can be closed then.

_______________________________________________
Cherokee-dev mailing list
Cherokee-dev [at] lists
http://lists.octality.com/listinfo/cherokee-dev

Cherokee dev RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.